Post by jgw1 » Tue Apr 20, 2010 5:32 pm

Forgive my newbiness, I did a search on this but was a little uncertain one which was the advice I needed to take.

I just installed opencart 1.4.7 and logged into admin and save the live cart OK. The first thing that I would like to do is add in the export/import module.

I downloaded this version:

http://www.opencart.com/index.php?route ... ion_id=363

As it said don't use for 'previous' rather than 'other' versions of opencart.

First off is this the right version?

I did copy across the admin folder but the admin page brought up an https error. I am uncertain whether this is because:

1. it is a bug and I need a patch
2. it is the wrong module for my version
3. copying across the folder was wrong and I need to copy across the specific files (because the 1.4.7 fresh install admin folder has way more than in the module download version)

Any help greatly appreciated, first step into a larger world :)
Last edited by i2Paq on Tue Apr 20, 2010 7:23 pm, edited 1 time in total.
Reason: Title adjusted

New member

Posts

Joined
Tue Apr 20, 2010 5:22 pm

Post by i2Paq » Tue Apr 20, 2010 7:24 pm

I think that the import/export module is not yet compatible with 1.4.7.

Norman in 't Veldt
Moderator OpenCart Forums

_________________ READ and Search BEFORE POSTING _________________

Our FREE search: Find your answer FAST!.

[How to] BTW + Verzend + betaal setup.


User avatar
Global Moderator

Posts

Joined
Mon Nov 09, 2009 7:00 pm
Location - Winkel - The Netherlands

Post by jgw1 » Tue Apr 20, 2010 7:27 pm

OK thanks, I have managed to get the version downloaded installed, then bypassed the url problem with a patch but now I get another problem when I click on export in the admin area :(

Fatal error: Call to a member function query() on a non-object in /home/salisbur/public_html/store/admin/model/tool/export.php on line 72

Think that I might have to wait till the version for 1.4.7 as this is just problem after problem to get working.

New member

Posts

Joined
Tue Apr 20, 2010 5:22 pm

Post by Mouka » Fri Apr 23, 2010 2:31 am

I use OC 1.47 and the import/export 1-4-4-5 from http://www.mhccorp.com/ and it works perfectly.
Although there are some updates for the product in db of OC 1.47 it still work 100% but only when you
use Excel, do not use Open Office as it meshes up the export file when saving it to disk.

User avatar
Newbie

Posts

Joined
Tue Feb 16, 2010 7:22 pm
Location - The NWetherlands

Post by kkk26 » Sat Apr 24, 2010 9:30 pm

so please plus this module into official version
that would be perfectly

Christian Louboutin


New member

Posts

Joined
Wed Jan 06, 2010 3:35 pm


Post by Mouka » Sun Apr 25, 2010 3:25 am

kkk26 wrote:so please plus this module into official version
that would be perfectly
If you check the website I mentioned you can now dl the latest version for 1.47. O0

User avatar
Newbie

Posts

Joined
Tue Feb 16, 2010 7:22 pm
Location - The NWetherlands

New member

Posts

Joined
Wed Apr 21, 2010 2:51 am

Post by cmebd » Thu May 13, 2010 2:54 pm

Hi All,


Unfortunately I put this post elsewhere and have not received an help.

Can someone you point me in the right direction to get this fixed.

I have just uploaded the 1.4.7 version of the module but receive the following error after clicking on the "Export" button:

The file PPS.php IS in the OLE folder.

Code: Select all
Fatal error: Class 'OLE_PPS' not found in /chroot/home/karoolac/karoola.com.au/html/admin/OLE/PPS/File.php on line 32


Thanks in Advance

Cheers

A stupid question is the one you -don't- ask.........(Anon)

)C1.5.0.1 (IN devel)
OC V1.4.9.5
OC V1.4.9.2
OC V1.4.7
OC V1.3.4


User avatar
Active Member

Posts

Joined
Fri Nov 13, 2009 11:17 am
Location - Tasmania, Australia

Post by JNeuhoff » Thu May 13, 2010 5:56 pm

After installation, the following files should have been newly added to the admin folder:

admin/controller/tool/export.php
admin/language/english/tool/export.php
admin/model/tool/export.php
admin/view/template/tool/export.tpl
admin/OLE/OLE.php
admin/OLE/PPS.php
admin/OLE/PPS/File.php
admin/OLE/PPS/Root.php
admin/Spreadsheet/Excel/Reader.php
admin/Spreadsheet/Excel/Writer.php
admin/Spreadsheet/Excel/Reader/OLERead.php
admin/Spreadsheet/Excel/Writer/BIFFwriter.php
admin/Spreadsheet/Excel/Writer/Format.php
admin/Spreadsheet/Excel/Writer/Parser.php
admin/Spreadsheet/Excel/Writer/Validator.php
admin/Spreadsheet/Excel/Writer/Workbook.php
admin/Spreadsheet/Excel/Writer/Worksheet.php


And the following menu files are now overwritten:

admin/controller/common/header.php
admin/language/english/common/header.php
admin/view/template/common/header.tpl

You almost certainly installed them wrongly.

Override Engine * Integrated VQMod * Unused Images Manager * Instant Option Price Calculator * Number Option * Google Rich Snippets * Google Tag Manager * Export/Import Tool * SpamBot Buster * Survey Plus


User avatar
Expert Member

Posts

Joined
Wed Dec 05, 2007 3:38 am


Post by cmebd » Sat May 15, 2010 10:03 am

JNeuhoff wrote: You almost certainly installed them wrongly.
Not sure why a developer would think that a response like this is helpful?

For anyone who may be interested: This particular error arose because the "OLE" PEAR module needed to be installed on the server.

A pointer in this direction would have been much more helpful.

cheers

A stupid question is the one you -don't- ask.........(Anon)

)C1.5.0.1 (IN devel)
OC V1.4.9.5
OC V1.4.9.2
OC V1.4.7
OC V1.3.4


User avatar
Active Member

Posts

Joined
Fri Nov 13, 2009 11:17 am
Location - Tasmania, Australia
Who is online

Users browsing this forum: No registered users and 12 guests